/*
 * be_to_le_ptr.h
 *
 * Useful for showing big-endian hexadecimal dumps on little-endian machines
 *
 * Author: Intel A80486DX2-66
 * License: Unlicense
 */

#define BE_TO_LE_PTR(base, size, i)                                           \
    (base) + ((size) * ((i) / (size)) + ((size) - 1) - ((i) % (size)))
